Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.vole.menu
Class BigImageMenu

    java.lang.Object
      jcontrol.ui.vole.Component
          jcontrol.ui.vole.menu.Menu
              jcontrol.ui.vole.menu.BigImageMenu

All Implemented Interfaces:
  MenuInterface

    public class BigImageMenu

extends Menu

This class `BigImageMenu` implements a graphical menu with only one (full page) menu item visible. Menu items must be specified as image names.

(c) Copyright 2003-2007 DOMOLOGIC GmbH

Field Summary

Fields inherited from class jcontrol.ui.vole.menu.Menu
`m_inactive, m_items, m_lastSelectedIndex, m_listener, m_repaint, m_selectedIndex`

Fields inherited from class jcontrol.ui.vole.Component
`eventQueue, focusOwner, font, g, height, listener, parent, visible, width, x, y`

Constructor Summary
`BigImageMenu(int x, int y, int width, int height)` Constucts a new BigImageMenu.

Method Summary
`boolean` | `onKeyEvent(KeyEvent e)` If a KeyEvent accurs, this method is called.
`void` | `paint()` Repaints the menu.

Methods inherited from class jcontrol.ui.vole.menu.Menu
`addMenuItem, addMenuItem, enableMenuItem, getActiveItemCount, getSelectedIndex, hasNextOrPrev, isMenuItemEnabled, remove, removeMenuItem, select, select, selectNextOrPrev, setActionListener, setFont, setParent`

Methods inherited from class jcontrol.ui.vole.Component
`getBounds, getParent, isVisible, onActionEvent, removeFocus, requestFocus, setBounds, setGraphics, setVisible, transferFocus, validate`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Methods inherited from interface jcontrol.ui.vole.menu.MenuInterface
`setGraphics`

Constructor Detail

### BigImageMenu

    public BigImageMenu(int x,
                        int y,
                        int width,
                        int height)

  Constucts a new BigImageMenu.

  Parameters:
    `x` - the x coordinage
    `y` - the y coordinate
    `width` - the width
    `height` - the height

Method Detail

### paint

    public void paint()

  Repaints the menu.

  Specified by:
    `paint` in interface `MenuInterface`
  Specified by:
    `paint` in class `Menu`
  See Also:
    `Menu.paint()`

### onKeyEvent

    public boolean onKeyEvent(KeyEvent e)

  If a KeyEvent accurs, this method is called.

  Specified by:
    `onKeyEvent` in interface `MenuInterface`
  Overrides:
    `onKeyEvent` in class `Menu`
  Parameters:
    `e` - the KeyEvent.
  Returns:
    false if the KeyEvent was consumed, true otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD